Version 6.x.x Source

Table Name: `tabTerritory`

Classification of Customers by region

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `territory_name` | Data | Territory Name |
2 | `parent_territory` | Link | Parent Territory | Territory
3 | `is_group` | Select | Has Child Node Only leaf nodes are allowed in transaction |
    Yes
    No
4 | `cb0` | Column Break |  |
5 | `territory_manager` | Link | Territory Manager For reference | Sales Person
6 | `lft` | Int | lft |
7 | `rgt` | Int | rgt |
8 | `old_parent` | Link | old_parent | Territory
9 | `target_details_section_break` | Section Break | Territory Targets Set Item Group-wise budgets on this Territory. You can also include seasonality by setting the Distribution. |
10 | `targets` | Table | Targets | Target Detail
11 | `distribution_id` | Link | Target Distribution Select Monthly Distribution to unevenly distribute targets across months. | Monthly Distribution

### Controller

#### erpnext.setup.doctype.territory.territory

### Class Territory

Inherits from frappe.utils.nestedset.NestedSet

on_update (self)

No docs

validate (self)

No docs

#### Linked In:

- C-Form Invoice Detail
- Customer
- Delivery Note
- Installation Note
- Lead
- Maintenance Schedule
- Maintenance Visit
- Opportunity
- POS Profile
- Pricing Rule
- Quotation
- Sales Invoice
- Sales Order
- Sales Partner
- Selling Settings
- Territory
- Warranty Claim